All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH bpf-next] selftests: bpf: test_kmod.sh: pass parameter to the module
@ 2022-09-05  7:22 Yauheni Kaliuta
  2022-09-06 16:51 ` Song Liu
                   ` (2 more replies)
  0 siblings, 3 replies; 5+ messages in thread
From: Yauheni Kaliuta @ 2022-09-05  7:22 UTC (permalink / raw)
  To: bpf; +Cc: andrii, alexei.starovoitov, daniel, Yauheni Kaliuta

It's possible to specify particular tests for test_bpf.ko with
module parameters. Make it possible to pass a module parameter as
the first test_kmod.sh argument, example:

test_kmod.sh test_range=1,3

Since magnitude tests take long time it can be reasonable to skip
them.

Signed-off-by: Yauheni Kaliuta <ykaliuta@redhat.com>
---
 tools/testing/selftests/bpf/test_kmod.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
index 4f6444bcd53f..3cb52ba20db8 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -4,6 +4,8 @@
 # Kselftest framework requirement - SKIP code is 4.
 ksft_skip=4
 
+MOD_PARAM="$1"
+
 msg="skip all tests:"
 if [ "$(id -u)" != "0" ]; then
 	echo $msg please run this as root >&2
@@ -26,15 +28,15 @@ test_run()
 	echo "[ JIT enabled:$1 hardened:$2 ]"
 	dmesg -C
 	if [ -f ${OUTPUT}/lib/test_bpf.ko ]; then
-		insmod ${OUTPUT}/lib/test_bpf.ko 2> /dev/null
+		insmod ${OUTPUT}/lib/test_bpf.ko $MOD_PARAM 2> /dev/null
 		if [ $? -ne 0 ]; then
 			rc=1
 		fi
 	else
 		# Use modprobe dry run to check for missing test_bpf module
-		if ! /sbin/modprobe -q -n test_bpf; then
+		if ! /sbin/modprobe -q -n test_bpf $MOD_PARAM; then
 			echo "test_bpf: [SKIP]"
-		elif /sbin/modprobe -q test_bpf; then
+		elif /sbin/modprobe -q test_bpf $MOD_PARAM; then
 			echo "test_bpf: ok"
 		else
 			echo "test_bpf: [FAIL]"
-- 
2.34.1


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2022-09-22  0:20 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-09-05  7:22 [PATCH bpf-next] selftests: bpf: test_kmod.sh: pass parameter to the module Yauheni Kaliuta
2022-09-06 16:51 ` Song Liu
2022-09-08 11:44 ` [PATCH bpf-next v2] selftests: bpf: test_kmod.sh: pass parameters " Yauheni Kaliuta
2022-09-08 12:01 ` [PATCH bpf-next v3] " Yauheni Kaliuta
2022-09-22  0:20   ` patchwork-bot+netdevbpf

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.